## qfacebook 0.1

=== examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:42 2011
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-getobject \
		sub-getprofile \
		sub-getconnection \
		sub-getfriends \
		sub-postfeed

getobject/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getobject/ || $(MKDIR) getobject/ 
	cd getobject/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getobject/getobject.pro -o $(MAKEFILE)
sub-getobject-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getobject/ || $(MKDIR) getobject/ 
	cd getobject/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getobject/getobject.pro -o $(MAKEFILE)
sub-getobject: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE)
sub-getobject-make_default: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) 
sub-getobject-make_first: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) first
sub-getobject-all: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) all
sub-getobject-clean: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) clean
sub-getobject-distclean: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getobject-install_subtargets: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) install
sub-getobject-uninstall_subtargets: getobject/$(MAKEFILE) FORCE
	cd getobject/ && $(MAKE) -f $(MAKEFILE) uninstall
getprofile/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getprofile/ || $(MKDIR) getprofile/ 
	cd getprofile/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getprofile/getprofile.pro -o $(MAKEFILE)
sub-getprofile-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getprofile/ || $(MKDIR) getprofile/ 
	cd getprofile/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getprofile/getprofile.pro -o $(MAKEFILE)
sub-getprofile: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE)
sub-getprofile-make_default: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) 
sub-getprofile-make_first: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) first
sub-getprofile-all: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) all
sub-getprofile-clean: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) clean
sub-getprofile-distclean: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getprofile-install_subtargets: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) install
sub-getprofile-uninstall_subtargets: getprofile/$(MAKEFILE) FORCE
	cd getprofile/ && $(MAKE) -f $(MAKEFILE) uninstall
getconnection/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getconnection/ || $(MKDIR) getconnection/ 
	cd getconnection/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getconnection/getconnection.pro -o $(MAKEFILE)
sub-getconnection-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getconnection/ || $(MKDIR) getconnection/ 
	cd getconnection/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getconnection/getconnection.pro -o $(MAKEFILE)
sub-getconnection: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE)
sub-getconnection-make_default: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) 
sub-getconnection-make_first: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) first
sub-getconnection-all: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) all
sub-getconnection-clean: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) clean
sub-getconnection-distclean: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getconnection-install_subtargets: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) install
sub-getconnection-uninstall_subtargets: getconnection/$(MAKEFILE) FORCE
	cd getconnection/ && $(MAKE) -f $(MAKEFILE) uninstall
getfriends/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) getfriends/ || $(MKDIR) getfriends/ 
	cd getfriends/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getfriends/getfriends.pro -o $(MAKEFILE)
sub-getfriends-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) getfriends/ || $(MKDIR) getfriends/ 
	cd getfriends/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/getfriends/getfriends.pro -o $(MAKEFILE)
sub-getfriends: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE)
sub-getfriends-make_default: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) 
sub-getfriends-make_first: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) first
sub-getfriends-all: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) all
sub-getfriends-clean: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) clean
sub-getfriends-distclean: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) distclean
sub-getfriends-install_subtargets: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) install
sub-getfriends-uninstall_subtargets: getfriends/$(MAKEFILE) FORCE
	cd getfriends/ && $(MAKE) -f $(MAKEFILE) uninstall
postfeed/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) postfeed/ || $(MKDIR) postfeed/ 
	cd postfeed/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/postfeed/postfeed.pro -o $(MAKEFILE)
sub-postfeed-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) postfeed/ || $(MKDIR) postfeed/ 
	cd postfeed/ && $(QMAKE) /home/mohammad/qfacebook/qfacebook/examples/postfeed/postfeed.pro -o $(MAKEFILE)
sub-postfeed: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE)
sub-postfeed-make_default: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) 
sub-postfeed-make_first: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) first
sub-postfeed-all: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) all
sub-postfeed-clean: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) clean
sub-postfeed-distclean: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) distclean
sub-postfeed-install_subtargets: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) install
sub-postfeed-uninstall_subtargets: postfeed/$(MAKEFILE) FORCE
	cd postfeed/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile examples.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile examples.pro

qmake_all: sub-getobject-qmake_all sub-getprofile-qmake_all sub-getconnection-qmake_all sub-getfriends-qmake_all sub-postfeed-qmake_all FORCE

make_default: sub-getobject-make_default sub-getprofile-make_default sub-getconnection-make_default sub-getfriends-make_default sub-postfeed-make_default FORCE
make_first: sub-getobject-make_first sub-getprofile-make_first sub-getconnection-make_first sub-getfriends-make_first sub-postfeed-make_first FORCE
all: sub-getobject-all sub-getprofile-all sub-getconnection-all sub-getfriends-all sub-postfeed-all FORCE
clean: sub-getobject-clean sub-getprofile-clean sub-getconnection-clean sub-getfriends-clean sub-postfeed-clean FORCE
distclean: sub-getobject-distclean sub-getprofile-distclean sub-getconnection-distclean sub-getfriends-distclean sub-postfeed-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-getobject-install_subtargets sub-getprofile-install_subtargets sub-getconnection-install_subtargets sub-getfriends-install_subtargets sub-postfeed-install_subtargets FORCE
uninstall_subtargets: sub-getobject-uninstall_subtargets sub-getprofile-uninstall_subtargets sub-getconnection-uninstall_subtargets sub-getfriends-uninstall_subtargets sub-postfeed-uninstall_subtargets FORCE

sub-getobject-check: getobject/$(MAKEFILE)
	cd getobject/ && $(MAKE) check
sub-getprofile-check: getprofile/$(MAKEFILE)
	cd getprofile/ && $(MAKE) check
sub-getconnection-check: getconnection/$(MAKEFILE)
	cd getconnection/ && $(MAKE) check
sub-getfriends-check: getfriends/$(MAKEFILE)
	cd getfriends/ && $(MAKE) check
sub-postfeed-check: postfeed/$(MAKEFILE)
	cd postfeed/ && $(MAKE) check
check: sub-getobject-check sub-getprofile-check sub-getconnection-check sub-getfriends-check sub-postfeed-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
