=== examples/getobject/Makefile ===
#############################################################################
# Makefile for building: getobject
# Generated by qmake (2.01a) (Qt 4.7.2) on: Wed May 4 15:37:42 2011
# Project:  getobject.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile getobject.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L../../lib -lqfacebook -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		getobject.cpp moc_getobject.cpp
OBJECTS       = main.o \
		getobject.o \
		moc_getobject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		getobject.pro
QMAKE_TARGET  = getobject
DESTDIR       = 
TARGET        = getobject

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: getobject.pro  /targets/FREMANTLE_ARMEL/usr/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf \
		../../lib/libqfacebook.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile getobject.pro
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/mkspecs/features/include_source_dir.prf:
../../lib/libqfacebook.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile getobject.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/getobject1.0.0 || $(MKDIR) .tmp/getobject1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/getobject1.0.0/ && $(COPY_FILE) --parents getobject.h .tmp/getobject1.0.0/ && $(COPY_FILE) --parents main.cpp getobject.cpp .tmp/getobject1.0.0/ && (cd `dirname .tmp/getobject1.0.0` && $(TAR) getobject1.0.0.tar getobject1.0.0 && $(COMPRESS) getobject1.0.0.tar) && $(MOVE) `dirname .tmp/getobject1.0.0`/getobject1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/getobject1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_getobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_getobject.cpp
moc_getobject.cpp: getobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) getobject.h -o moc_getobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp getobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

getobject.o: getobject.cpp getobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o getobject.o getobject.cpp

moc_getobject.o: moc_getobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_getobject.o moc_getobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
