=== debian/changelog ===
qfacebook (0.1) unstable; urgency=low

  * Initial release for Maemo 5

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon,  21 Feb 2011 22:24:58 +0200
