=== debian/control ===
Source: qfacebook
Section: libs
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqjson-dev

Package: qfacebook
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Qt/C++ library to access Facebook's Graph API

Package: qfacebook-dev
Architecture: armel
Depends: qfacebook
Description: Header files for the qfacebook library
