=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	qmake INSTALL_PREFIX=$(CURDIR)/debian/qfacebook/usr && $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	qmake && $(MAKE) distclean
	rm -f build-stamp install-stamp
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	touch install-stamp
	$(MAKE) DESTDIR=$(CURDIR)/debian/qfacebook install
	mkdir -p debian/qfacebook-dev/usr/lib
	mv debian/qfacebook/usr/include debian/qfacebook-dev/usr/
	mv debian/qfacebook/usr/lib/libqfacebook.prl debian/qfacebook-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
	rm -vf $(find  debian/qfacebook/ -name *.prl)
	dh_testdir
	dh_testroot
	dh_install
	#dh_installdocs
	#dh_installchangelogs
	#dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol 
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary configure
